Remove Favorite
curl --request DELETE \
--url https://api.thefaithapp.com/v1/favorites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <x-api-key>' \
--data '
{
"media_id": 123
}
'import requests
url = "https://api.thefaithapp.com/v1/favorites"
payload = { "media_id": 123 }
headers = {
"X-API-Key": "<x-api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'X-API-Key': '<x-api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({media_id: 123})
};
fetch('https://api.thefaithapp.com/v1/favorites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>"
}Engagement
Remove Favorite
Removes a media item from the authenticated member’s favorites.
DELETE
/
v1
/
favorites
Remove Favorite
Removes a media item from the authenticated member’s favorites.
Example request
{
"media_id": 1
}
Request inputs
Your client API key from the dashboard (Settings page).
Media ID to remove from favorites.
Response fields
Indicates whether the favorite removal request completed successfully.
Confirms whether the media was removed now or was not previously favorited.
Example response
{
"status": "Success",
"message": "Media removed from favorites"
}
Was this page helpful?
⌘I